package de.uni_passau.fim.PADAS.group3.DataDash.model;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

import org.springframework.data.jpa.repository.JpaRepository;


public interface CategoryRepository extends JpaRepository<Category, UUID>{

    Category getCategoryById(UUID id);

    @SuppressWarnings("null")
    List<Category> findAll();
    List<Category> findByName(String name);
    @SuppressWarnings("null")
    Optional<Category> findById(UUID id);

}
