package de.uni_passau.fim.PADAS.group3.DataDash.model;

import java.util.List;
import java.util.Random;

import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;



@Configuration
public class LoadDummyDatabase {
    
    private static final org.slf4j.Logger log = LoggerFactory.getLogger(LoadDummyDatabase.class);

    //@Bean  
    CommandLineRunner initDatabase(dataRepository repository, CategoryRepository categoryRepository) {

      

        return args -> {
        for (int i = 0; i < 100; i++) {
            Category category = new Category("Category" + i);
            log.info("Preloading" + categoryRepository.save(category));

            Dataset dataset = new Dataset("Title" + i, "Abst" + i, "Description" + i, "Author" + i,null, category, Type.API);
            for (int j = 0; j < new Random().nextInt(50); j++) {
                dataset.upvote();
            }
            log.info("Preloading" + repository.save(dataset));
            log.info("Preloading" + categoryRepository.save(category));
        }
        List<Dataset> s = repository.findByTitleLike("%Title%");
        log.info("Found Entry with ID: " + s.get(1).getId());};
    }


}